Download it now!
Bug 85911 - EDITING: LO - comments saved as .doc/.docx loose information (initials, date, time)
Summary: EDITING: LO - comments saved as .doc/.docx loose information (initials, date,...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: All All
: medium normal
Assignee: Jorendc
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-05 10:34 UTC by Orwel
Modified: 2016-01-14 10:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original odt file (13.33 KB, application/vnd.oasis.opendocument.text)
2014-11-05 10:35 UTC, Orwel
Details
file saved as doc (18.00 KB, application/msword)
2014-11-05 10:35 UTC, Orwel
Details
file saved as docx (8.03 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-11-05 10:35 UTC, Orwel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Orwel 2014-11-05 10:34:13 UTC
In Options - LibreOffice - User data I have set initials.
If I put a comment in the writer text using LO, the comment shows also data: user initials + date and time when the comment was inserted in the text.
If you save the file as .doc/.docx you loose this information.

I attach 3 documents - 1. original .odt file, 2. the same file saved as doc by LO, 3. the same file saved as docx by LO. If you open the file 2 and 3 in MS Office (2010), the information in comment is lost.

(The same happens by editing an existing .doc/.docx document saved originally by LO - if you had crated a document as described above and someone else put comments into this text using MS Office and you have got the document back, by opening and resaving it LO the information about name,date... are lost.)
Comment 1 Orwel 2014-11-05 10:35:21 UTC
Created attachment 108944 [details]
Original odt file
Comment 2 Orwel 2014-11-05 10:35:38 UTC
Created attachment 108945 [details]
file saved as doc
Comment 3 Orwel 2014-11-05 10:35:52 UTC
Created attachment 108946 [details]
file saved as docx
Comment 4 Gibey 2015-05-03 12:19:14 UTC
Confirmed on LO 4.4.3.2, initials disappear when file is saved docx. ODT is OK
Comment 5 A (Andy) 2015-05-15 19:57:25 UTC
Reproducible with LO 4.4.3.2, Win 8.1

If I open them with WRITER then they are there, but if I open them in WORD then they are not there.
Comment 6 Jorendc 2015-05-18 19:55:11 UTC
patch review: https://gerrit.libreoffice.org/#/c/15742/
Comment 7 Commit Notification 2015-05-20 10:51:13 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fcc7ba441ec8e5116bbcc08c88b5ddb7c892c988

tdf#85911 docx: export comment initials

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Orwel 2016-01-14 10:19:16 UTC
This bug is marked as fixed (should be fixed in 5.0.0), but i tested it in 5.0.3.2 and it is still present, could you take a look at it please? thank you